﻿@model CreateIssueViewModel

@{
    var issueModel = new CreateIssueModel();
}
<div class="modal fade" id="create-issue-modal" tabindex="-1" aria-modal="true" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <form id="create-issue-form" asp-controller="issue" asp-action="createIssue" autocomplete="off" data-ajax="true" data-ajax-method="POST" data-ajax-success="onIssueCreated">
                @Html.AntiForgeryToken()
                <input type="hidden" name="projectId" asp-for="@Model.ProjectId"/>
                <input type="hidden" name="workspaceId" id="workspace-id"/>
                <div class="modal-header d-flex align-items-center">
                    <h4 class="modal-title">
                        Create New Task
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="mb-3">
                        <label asp-for="@issueModel.Title" class="form-label control-label required" >Title </label>
                        <input type="text" class="form-control custom-validation" name="title" asp-for="@issueModel.Title" data-required="true">
                    </div>

                    <div class="mb-3">
                        <label asp-for="@issueModel.Description" class="form-label">Description </label>
                        <textarea class="form-control" name="description" rows="6" asp-for="@issueModel.Description"></textarea>
                    </div>

                    <div class="row mb-3">

                        <div class="col-sm-12 col-md-6">
                            <label class="form-label required">Priority</label>
                            <select class="form-select" name="priorityId" asp-for="@issueModel.PriorityId">
                                @foreach (var priority in Model.FieldValues.Priorities)
                                {
                                    <option value="@priority.Id"> @priority.Description</option>
                                }
                            </select>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <label asp-for="@issueModel.DueDate" class="form-label required">Due Date</label>
                            <input asp-for="@issueModel.DueDate" name="dueDate" type="text" class="form-control jquery-date-picker" value="" />
                        </div>
                    </div>
                    <div class="row mb-3">

                        <div class="col-sm-12 col-md-6">
                            <label asp-for="@issueModel.AssigneeId" class="form-label required">Assigned to</label>
                            <select class="form-select" name="assigneeid" asp-for="@issueModel.AssigneeId">
                                @foreach (var user in Model.FieldValues.Users)
                                {
                                    <option value="@user.Id" title="@user.Email"> @user.Name</option>
                                }
                            </select>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <label class="form-label required">Status</label>
                            <select class="form-select" name="statusId" asp-for="@issueModel.StatusId">
                                @foreach (var status in Model.FieldValues.Statuses)
                                {
                                    <option value="@status.Id"> @status.Description</option>
                                }
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn bg-danger-subtle text-danger font-medium" data-bs-dismiss="modal">
                        Cancel
                    </button>
                    <button type="button" class="btn btn-success" onclick="validateAndSubmit('#create-issue-form')">
                        Create
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
